<?php

namespace Lc\CaracoleBundle\Repository\Config;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Config\UnitInterface;

/**
 * @method UnitInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method UnitInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method UnitInterface[]    findAll()
 * @method UnitInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class UnitRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, UnitInterface::class);
    }
}
