<?php

namespace Lc\CaracoleBundle\Repository\Order;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Order\OrderStatusInterface;

/**
 * @method OrderStatusInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method OrderStatusInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method OrderStatusInterface[]    findAll()
 * @method OrderStatusInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class OrderStatusRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, OrderStatusInterface::class);
    }
}
