<?php

namespace Lc\CaracoleBundle\Repository\Product;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Product\ProductFamilyInterface;

/**
 * @method ProductFamilyInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method ProductFamilyInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method ProductFamilyInterface[]    findAll()
 * @method ProductFamilyInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class ProductFamilyRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, ProductFamilyInterface::class);
    }
}
