<?php

namespace Lc\CaracoleBundle\Repository\Address;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Address\AddressInterface;

/**
 * @method AddressInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method AddressInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method AddressInterface[]    findAll()
 * @method AddressInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class AddressRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, AddressInterface::class);
    }
}
