<?php

namespace Lc\CaracoleBundle\Repository\Credit;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Credit\CreditHistoryInterface;

/**
 * @method CreditHistoryInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method CreditHistoryInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method CreditHistoryInterface[]    findAll()
 * @method CreditHistoryInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class CreditHistoryRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, CreditHistoryInterface::class);
    }
}
