<?php

namespace Lc\CaracoleBundle\Repository\Newsletter;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Newsletter\NewsletterInterface;

/**
 * @method NewsletterInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method NewsletterInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method NewsletterInterface[]    findAll()
 * @method NewsletterInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class NewsletterRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, NewsletterInterface::class);
    }
}
